Package ru.bitel.bgbilling.kernel.network.radius

# Class RadiusAttribute.RadiusAttributeString

java.lang.Object
ru.bitel.bgbilling.kernel.network.tlv.Tlv<RadiusAttributeInfo<String>,String>
ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute<String>
ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute.RadiusAttributeString

Enclosing class:
  `RadiusAttribute<V>`

public static class RadiusAttribute.RadiusAttributeString extends RadiusAttribute<String>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute

  `RadiusAttribute.RadiusAttributeAbinary, RadiusAttribute.RadiusAttributeInteger, RadiusAttribute.RadiusAttributeIpAddr, RadiusAttribute.RadiusAttributeString`

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute

  `tag`

  ### Fields inherited from class ru.bitel.bgbilling.kernel.network.tlv.Tlv

  `data, info, length, value`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `RadiusAttributeString(int vendor, int type, int tag, String data)`
  ``
  `RadiusAttributeString(int vendor, int type, int tag, ByteBuffer data)`
  ``
  `RadiusAttributeString(int vendor, int type, String data)`
  ``
  `RadiusAttributeString(int vendor, int type, ByteBuffer data)`
  `protected`
  `RadiusAttributeString(RadiusAttributeInfo<String> info, int tag, String data)`
  `protected`
  `RadiusAttributeString(RadiusAttributeInfo<String> info, int tag, ByteBuffer data)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RadiusAttribute.RadiusAttributeString`
  `clone()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute

  `equals, getTag, toString, toString, write`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.network.tlv.Tlv

  `getData, getDataAsByteArray, getLength, getValue`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RadiusAttributeString

    protected RadiusAttributeString(RadiusAttributeInfo<String> info, int tag, ByteBuffer data)

  - ### RadiusAttributeString

    protected RadiusAttributeString(RadiusAttributeInfo<String> info, int tag, String data)

  - ### RadiusAttributeString

    public RadiusAttributeString(int vendor, int type, int tag, ByteBuffer data)

  - ### RadiusAttributeString

    public RadiusAttributeString(int vendor, int type, ByteBuffer data)

  - ### RadiusAttributeString

    public RadiusAttributeString(int vendor, int type, String data)

  - ### RadiusAttributeString

    public RadiusAttributeString(int vendor, int type, int tag, String data)

- ## Method Details

  - ### clone

    public RadiusAttribute.RadiusAttributeString clone()
    Overrides:
      `clone` in class `RadiusAttribute<String>`